## Lingo

[![builds.sr.ht status](https://builds.sr.ht/~crg.svg)](https://builds.sr.ht/~crg?)

A word guessing game based on the [game show](https://en.wikipedia.org/wiki/Lingo_(American_game_show)).

[Screenshots](screenshots/)

#### Browser client

- Practice: https://lingo.gould.dev/practice.html
- Competitive: https://lingo.gould.dev

#### JavaFX client

- Requirements: Java 19, Maven 3
- Build: `mvn clean install`
- Start client: `mvn -f client javafx:run`

#### Running locally

- Build: `mvn clean install`
- Start server
  * Default port (8080): `java -jar server/target/lingo.jar`
  * Custom port: `java -jar server/target/lingo.jar --server.port=<port>`
- Start client
  * Browser: `open http://localhost:<port>`
  * JavaFX: `mvn -f client javafx:run -Dlingo-url=http://localhost:<port>`
